Page MenuHomePhabricator

history not clickable if in an rtl environment the chosen language is ltr
Closed, ResolvedPublic

Description

Author: spacebirdy

Description:
Hello all,

this bug seems to be only reproducable in Firefox. Opera works good, other browsers not checked.

Problem:
If in an right-to-left environment the language is set to any left-to-right-language the history is not clickable (diffs, radio-buttons, links) only near the bottom it works again.

Please compare:

(any) ltr-language (works not):
http://ar.wikipedia.org/w/index.php?title=%D8%B1%D9%88%D9%86%D8%A7%D9%84%D8%AF_%D8%B1%D9%8A%D8%BA%D8%A7%D9%86&action=history&uselang=en
http://ar.wikipedia.org/w/index.php?title=%D8%B1%D9%88%D9%86%D8%A7%D9%84%D8%AF_%D8%B1%D9%8A%D8%BA%D8%A7%D9%86&action=history&uselang=is

(any) rtl-language (works):
http://ar.wikipedia.org/w/index.php?title=%D8%B1%D9%88%D9%86%D8%A7%D9%84%D8%AF_%D8%B1%D9%8A%D8%BA%D8%A7%D9%86&action=history&uselang=yi
http://ar.wikipedia.org/w/index.php?title=%D8%B1%D9%88%D9%86%D8%A7%D9%84%D8%AF_%D8%B1%D9%8A%D8%BA%D8%A7%D9%86&action=history&uselang=he
http://ar.wikipedia.org/w/index.php?title=%D8%B1%D9%88%D9%86%D8%A7%D9%84%D8%AF_%D8%B1%D9%8A%D8%BA%D8%A7%D9%86&action=history&uselang=ar

Many thanks for Your help,
Elisabeth Anderl [[:wikt:is:Notandi:Spacebirdy]]


Version: unspecified
Severity: enhancement
OS: Windows XP
URL: http://ar.wikipedia.org/w/index.php?title=%D8%B1%D9%88%D9%86%D8%A7%D9%84%D8%AF_%D8%B1%D9%8A%D8%BA%D8%A7%D9%86&action=history&uselang=en

Details

Reference
bz12850

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:02 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz12850.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 31 2008, 4:48 PM

Seems to have been fixed. FF 3.0 and IE 7 under Win XP

spacebirdy wrote:

Hello, why is this marked as fixed, the problem remains for FF 2.x, thanks

Meno25 added a comment.Aug 7 2008, 9:01 PM

(In reply to comment #2)

Hello, why is this marked as fixed, the problem remains for FF 2.x, thanks

Because it was fixed in FF 3.0. Users of FF 2.x should upgrade to version 3.0. Strictly speaking, this bug should be reported to mozilla.org and resolved as MOVED because I believe this to be a bug in Firefox not MediaWiki.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM